This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90504 - Installer crashes before disk druid or fdisk
Installer crashes before disk druid or fdisk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 18:17 EDT by alexCOS
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-13 12:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description alexCOS 2003-05-08 18:17:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Error before partitioning my system..

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install RH 8.0  , and before choosing Automatic or Disk Druid or Fdisk.
2.
3.
    

Actual Results:  system goes down..

Expected Results:  partition my harddisk with a partitioning tool

Additional info:

Traceback:

File "/usr/lib/anaconda/gui.py",line 632, in nextClicked
self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py",line 150,in gotoNext
self.moveStep()
File "/usr/lib/anaconda/dispatch.py",line 115,in moveStep
rc=apply(func,self.bindArgs(args))
File "/usr/lib/anaconda/partitioning.py",line 57,in partitionObjectsInitialize
partitions.setFromDisk(diskset)
File "/usr/lib/anaconda/partitions.py",line 185,in setFromDisk
lvm.vgactivate()
File "/usr/lib/anaconda/lvm.py",line 56,in vgactivate
raiseSystemError,"vgchange failed"
System Error:vgchange failed
Comment 1 Michael Fulbright 2003-05-09 12:03:24 EDT
Do you have LVM configured previously on this system?
Comment 2 alexCOS 2003-05-09 12:22:53 EDT
No.. All it was on that computer was a Window 95 machine..
Comment 3 Michael Fulbright 2003-05-13 12:48:26 EDT
We resolved several issues like this one for our current release.

Note You need to log in before you can comment on or make changes to this bug.